2019-08-23 17:47 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006210Spring engineLuapublic2019-04-25 18:03
Reportersprung 
Assigned ToKloot 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0006210: Spread `Script.IsEngineMinVersion` availability
DescriptionIt is currently unavailable when parsing `defs.lua`, `modrules.lua` and other such places.

Here's a PR just for `defs.lua` https://github.com/spring/spring/pull/452

The ideal state of affairs is that this callout would be available literally everywhere (so probably added right in lua parser class' constructor?) but having it in `defs.lua` would be enough for me.
TagsNo tags attached.
Checked infolog.txt for lua ErrorsIrrelevant
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2019-04-24 03:07 sprung New Issue
2019-04-25 18:03 Kloot Assigned To => Kloot
2019-04-25 18:03 Kloot Status new => resolved
2019-04-25 18:03 Kloot Resolution open => fixed
2019-04-25 18:03 Kloot Fixed in Version => 104.0 +git
+Issue History